Subject: [dhcwg] Load balancing for DHCPv6 ...

From: "Bernie Volz (EUD)" <[email-masked]>
Date: Mon, 29 Apr 2002 10:53:21 -0500

I'm working on revising draft-ietf-dhc-dhcpv6-loadb-00.txt (http://www.ietf.org/internet-drafts/draft-ietf-dhc-dhcpv6-loadb-00.txt). I have some follow up questions based on the minutes from the Minneapolis WG meeting in March:

The minutes read:

>Bernie Volz
>Load Balancing for DHCPv6
>draft-ietf-dhc-dhcpv6-loadb-00.txt
>----------------------------------
>New draft based on feedback from discussion in SLC.  Applies to
>messages not directed to a specific server.  Uses DHCPv6 recovery if
>target (based on load balancing) is down.  Uses hash algorithm from
>RFC 3074.  Next step: review and comment from WG.
>
>WG comments:
>- Relay agent can support load balancing
>- Draft could use more motivation
>- Draft could use more on potential configurations
>- If the server DUID is not present, the relay agent should not do
>   load balancing.

Do we want to add load balancing to relay agents?

The advantages of doing this include:
- Servers don't need to support load balancing for load balancing to be useable
- Reduces network traffic as packets are relayed to only a subset of the servers and not all
- Reduces load at server since it never sees some of the traffic

The main disadvantages are:
- Servers still need load balancing support when relays not involved
- Configuration is potentially more complicated if both relays and servers need to be reconfigured; severe problems could exist if there is a configuration mismatch between a relay and a server
- Additional processing / configuration for relays (which are usually on routers)

The text is fairly easy to add to the draft, I just want to make sure that the WG feels that we SHOULD do this.

Any comments appreciated (on this issue or anything else regarding the load balancing draft). I would like to get a revised draft out soon (to avoid the pre-IETF meeting rush).

- Bernie